#include <iostream>

using namespace std;

string natpis;
int br_slova;
long konacno;
int m;
void rekurzija(int pozicija, int slovo, int k1)
{
    int t = 0;
    for (int i = pozicija; i >= 0; i--)
    {
        if (int(natpis[i]) == slovo - 1)
        {
            int k = t;
            if (int(natpis[i]) == 65)
            {
                konacno += k*k1;
                if (konacno >= 1000000007)
                {
                    konacno -= 1000000007;
                }
            }
            else rekurzija(i, int(natpis[i]),k);
        }
        if (int(natpis[i]) == slovo)
        {
            t++;
        }
    }
    m = t;
}

int main()
{
    cin >> br_slova;
    cin >> natpis;
    konacno = 0;
    m = br_slova - 1;
        for (int i = m; i >= 0; i--)
        {
            if (int(natpis[i]) == 90)
            {
                rekurzija(i, 90,1);
            }
        }
    cout << konacno;
}